> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check permissions

> Check if user has specific permissions



## OpenAPI

````yaml post /v1/rbac/check
openapi: 3.0.0
info:
  title: RBAC API
  version: 1.0.0
  description: API for Role-Based Access Control management
servers: []
security:
  - bearerAuth: []
tags:
  - name: RBAC
    description: Role-Based Access Control operations
paths:
  /v1/rbac/check:
    post:
      tags:
        - RBAC
      summary: Check permissions
      description: Check if user has specific permissions
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckPermissionsRequest'
      responses:
        '200':
          description: Permission check results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckPermissionsResponse'
components:
  schemas:
    CheckPermissionsRequest:
      type: object
      required:
        - checks
      properties:
        checks:
          type: array
          items:
            type: object
            required:
              - rec_type
              - permission
            properties:
              rec_type:
                type: string
              rec_id:
                type: string
                format: uuid
              permission:
                type: string
                pattern: ^[CRUDA]$
    CheckPermissionsResponse:
      type: object
      properties:
        results:
          type: array
          items:
            type: object
            properties:
              allowed:
                type: boolean
              source:
                type: string
                enum:
                  - direct
                  - role
                  - inherited
              source_id:
                type: string
                format: uuid
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````